Debian Bug report logs - #717366
ITP: connman-ui -- A full-featured GTK based trayicon UI for ConnMan.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Shawn Landden <shawnlandden@gmail.com>

Date: Fri, 19 Jul 2013 19:36:01 UTC

Owned by: Shawn Landden <shawnlandden@gmail.com>

Severity: wishlist

Fixed in version connman-ui/0~20130115-1

Done: Shawn Landden <shawn@churchofgit.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, shawnlandden@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#717366; Package wnpp. (Fri, 19 Jul 2013 19:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shawn Landden <shawnlandden@gmail.com>:
New Bug report received and forwarded. Copy sent to shawnlandden@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 19 Jul 2013 19:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shawn Landden <shawnlandden@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: connman-ui -- A full-featured GTK based trayicon UI for ConnMan.
Date: Fri, 19 Jul 2013 12:33:11 -0700
Package: wnpp
Severity: wishlist
Owner: Shawn Landden <shawnlandden@gmail.com>

* Package name    : connman-ui
  Version         : 0
  Upstream Author : tomasz.bursztyka@linux.intel.com
* URL             : https://github.com/tbursztyka/connman-ui
* License         : GPL-2+
  Programming Lang: C w/ glib/gtk-3
  Description     : A full-featured GTK based trayicon UI for ConnMan.

Description: A full-featured GTK-based tray icon UI for ConnMan
 It targets all WM/DM users but Gnome3 ones*. It works on any Linux WM/DM 
 which provides a freedesktop compliant system tray. (kde, awesome, ...)
 .
 It exposes almost all features provided by ConnMan API (small features are 
 missing, see TODO for more informations). You can enable/disable a technology 
 (wired, wifi, cellular, bt, ...), connect/disconnect a service, configure a 
 service (IPv4, IPv6, DNS, Timeservers, etc...), share your current connection 
 (tethering) and so on. Everything is accessible through the mouse via the 
 trayicon, all with left and right click.


already packaged, just getting bug #



Added blocking bug(s) of 717366: 717762 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 25 Jul 2013 04:27:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Shawn Landden <shawnlandden@gmail.com>:
Bug#717366; Package wnpp. (Tue, 06 Aug 2013 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wolodja Wentland <debian@babilen5.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Shawn Landden <shawnlandden@gmail.com>. (Tue, 06 Aug 2013 19:57:04 GMT) Full text and rfc822 format available.

Message #12 received at 717366@bugs.debian.org (full text, mbox):

From: Wolodja Wentland <debian@babilen5.org>
To: Shawn Landden <shawnlandden@gmail.com>, 717366@bugs.debian.org
Subject: Re: Bug#717366: ITP: connman-ui -- A full-featured GTK based trayicon UI for ConnMan.
Date: Tue, 6 Aug 2013 20:53:15 +0100
[Message part 1 (text/plain, inline)]
Hi Shawn,

On Fri, Jul 19, 2013 at 12:33 -0700, Shawn Landden wrote:

> * Package name    : connman-ui
>   Version         : 0
>   Upstream Author : tomasz.bursztyka@linux.intel.com
> * URL             : https://github.com/tbursztyka/connman-ui
> * License         : GPL-2+
>   Programming Lang: C w/ glib/gtk-3
>   Description     : A full-featured GTK based trayicon UI for ConnMan.
> 
> Description: A full-featured GTK-based tray icon UI for ConnMan
>  It targets all WM/DM users but Gnome3 ones*. It works on any Linux WM/DM 
>  which provides a freedesktop compliant system tray. (kde, awesome, ...)
>  .
>  It exposes almost all features provided by ConnMan API (small features are 
>  missing, see TODO for more informations). You can enable/disable a technology 
>  (wired, wifi, cellular, bt, ...), connect/disconnect a service, configure a 
>  service (IPv4, IPv6, DNS, Timeservers, etc...), share your current connection 
>  (tethering) and so on. Everything is accessible through the mouse via the 
>  trayicon, all with left and right click.

thanks for working on connman-ui, but please change the long description so
that it does not start with "Description: ". I would also recommend to not
start the synopsis with a capital letter or article and lintian should have
warned you about this:

    http://lintian.debian.org/tags/description-synopsis-starts-with-article.html

The rule of thumb on that page is pretty good. I also dislike it if the
synopsis is simply repeated as the first sentence of the long description.

Thanks a lot and thanks for working on this package!
-- 
Wolodja <debian@babilen5.org>

4096R/CAF14EFC
081C B7CD FF04 2BA9 94EA  36B2 8B7F 7D30 CAF1 4EFC
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 24 Aug 2013 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Shawn Landden <shawn@churchofgit.com>:
You have taken responsibility. (Sun, 22 Sep 2013 04:03:16 GMT) Full text and rfc822 format available.

Notification sent to Shawn Landden <shawnlandden@gmail.com>:
Bug acknowledged by developer. (Sun, 22 Sep 2013 04:03:16 GMT) Full text and rfc822 format available.

Message #19 received at 717366-close@bugs.debian.org (full text, mbox):

From: Shawn Landden <shawn@churchofgit.com>
To: 717366-close@bugs.debian.org
Subject: Bug#717366: fixed in connman-ui 0~20130115-1
Date: Sun, 22 Sep 2013 04:00:06 +0000
Source: connman-ui
Source-Version: 0~20130115-1

We believe that the bug you reported is fixed in the latest version of
connman-ui, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717366@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Shawn Landden <shawn@churchofgit.com> (supplier of updated connman-ui package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 18 Aug 2013 19:28:28 -0700
Source: connman-ui
Binary: connman-ui
Architecture: source amd64
Version: 0~20130115-1
Distribution: unstable
Urgency: low
Maintainer: Shawn Landden <shawn@churchofgit.com>
Changed-By: Shawn Landden <shawn@churchofgit.com>
Description: 
 connman-ui - Full-featured GTK-based tray icon UI for ConnMan
Closes: 717366
Changes: 
 connman-ui (0~20130115-1) unstable; urgency=low
 .
   * Initial release. (Closes: #717366)
Checksums-Sha1: 
 c8a28bca4db14e6a14cc9dbae312b096990022e1 2669 connman-ui_0~20130115-1.dsc
 c57901651bd5fa6eac7cc9c5a49ef06f7e89ee0d 226083 connman-ui_0~20130115.orig.tar.gz
 477742483878eccdcb8e0b1d90fe647689375247 3530 connman-ui_0~20130115-1.debian.tar.gz
 7a82293addcaa3b41e68dc4484fc2c7a4e6cc657 74070 connman-ui_0~20130115-1_amd64.deb
Checksums-Sha256: 
 b9b877fa497a31232123212ec8fa18caa66a5d5db0e23a4b0f3e192ef00f484c 2669 connman-ui_0~20130115-1.dsc
 34e360a872a27e243f3d07f33269ef6ab95c5180ee111cbbfcef4e3e250b0033 226083 connman-ui_0~20130115.orig.tar.gz
 cfec5cbc7bcc73a9782dc6be76a9cc04a2ac72f0b4823eb22b03700ec754aa2c 3530 connman-ui_0~20130115-1.debian.tar.gz
 c5c74443c830cd67cd8175cb64680a423569faebe754006457cbafc8ee6a8a1e 74070 connman-ui_0~20130115-1_amd64.deb
Files: 
 ceda3a36efc6d511360530bdfec1173c 2669 net optional connman-ui_0~20130115-1.dsc
 47453c674654805e0a8ebb9cb3da8f19 226083 net optional connman-ui_0~20130115.orig.tar.gz
 32c2bb32b3440857869ce9ffca7c1d33 3530 net optional connman-ui_0~20130115-1.debian.tar.gz
 f634526109471bcebe4611467a6c21ce 74070 net optional connman-ui_0~20130115-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQQcBAEBCAAGBQJSPjL/AAoJELjWss0C1vRzVGAf/iFV//5pkZp7QFsP1sEvhHwB
I0rXG2+Ienqe/KVT17t/LeHpTnJeh2C1xLFZVD/Z87zcRipNyZGuFdN3JT8S85o2
Nh2jI3RYhWD70FIfkKsdObrcbH/5KvBhIVEDvMiomVbZ1xO8a6BuFYFt8raTT71h
Z0A+rQHovysMPYi14R47xpZbtyGUIo+n5nU8bXMl1BeVUbgALGRJdaBCfiWLOiM4
Kst1T6rWZwtowjWL69K8KZ2aWkuOIfflsUuQ185V+7CLL8KE7SFQDdQpQfpzvcMA
I3BHF9sr+nXrCsgDohTjIZ9HvSGiK/CUkjAgyYwY+9KZy/pS84l1dOM036KGxWBs
NNrZaEQV8+HOwM4Epqk0TgWkjS/tr/2IYVushicaLUJ4kq78FRzoZfYCEDTF+uc0
/C4rMcokbSp+cRkK5aJCXYPuRC2WeEtK5WsR9XoLXBLPJadO3G+CWB5QMzTD4iGN
vGPLyI/j3tNj7YfeavjZQjV4Hc0DHcPK83R4IS6g7r8Q7O/m+V3PVwNfxzrKN0wu
zWd1BPLTaGKwk/PMwjpGoaRHMmfJc6BvsTOOh1+Gf3e0ynY+pUSU41yLUKKPPgKb
TswJooqPuQlfanTsucx6Azri3B5IyZA+MtwTQ4nkoyvQb/Xcpi/U+VYvSr8vKy6j
LR6Rm+AB6ALHjXjDPs5fQ6woIswdlwoT5+hMeI5VM+jq0gqnbw3CMwXn6mCUBfR/
wSdLyi2OZHOXrTVypJLJCGghzga6InkVzBcF6c1jT3VWhFE6nlO2ci82GXC69oW0
A8tVmP1lZdfb6p/76YufdFkN7o0bViru3fgGJshcBgr1XQ452NbXGj+gF6ASkEtA
Nk60/ozO/OH/7a6K2hQ+MTQYSi3pkENnripiduyVi8WdeEieuhvDSu8pn31PVvHC
2C22lvwHiEGYn3/NBxd/s020N229JNuowEpMM5eHLl88Rk7V4nGJaTLVLDkMvn28
IT+10xn3uQu3hEqJYtp2WMlmy0QmpgiZ7KfhgolMMa8wu+KjyjaGe+Kcl7W70wa6
LmMF63iANElm/odHFumgu75/vYuGfQDdQiCptDuRKjTSfxydvTgS0onkSOZsl1TV
ecviHKAzzsfmfcypyoXBdGmXmnrOGhOlLrGkfcg4J03KnZZsrC1VJiQtoljex1Uo
zuD+v/0jM0wmFGxSkK2bbClxt8CgwxWYQI2e04JXZ/Ca4LGNO42l0DRiTRjy7k1s
tCjjSoItxob0Hq6TeUZPIguFaHkTzDgUAQ0v3pGzJHXSWFnyvVShtRaPspzqPa/V
Bkrd3ZSWu+LQq0f+LBE5vYB6/AJwJuaP8GelRrGJGVv44wGhFtd9vEP0PRcD1lQ=
=eB0J
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Oct 2013 07:37:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:58:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.